<div class="modal-header padding-10">
  <span class="modal-title font-weight-bold">
    <span *ngIf="!isEdit">Create</span>
    <span *ngIf="isEdit">Update</span>
    Extra Service
  </span>
</div>
<div class="modal-body padding-10" style="max-height: 400px; overflow-y: auto; overflow-x: hidden">
  <div class="row">
    <div class="col-sm">
      <form class="form-horizontal"
            novalidate
            (keyup.enter)="save()"
            [formGroup]="promoGroup">
        <div class="form-group">
          <label class="font-weight-bold">Code *</label>
          <input type="text"
                 autocomplete="off"
                 class="form-control"
                 placeholder="Code"
                 [formControl]="codeControl"
                 required>
        </div>
        <div class="form-group">
          <label class="font-weight-bold">Title *</label>
          <input type="text"
                 autocomplete="off"
                 class="form-control"
                 placeholder="Title"
                 [formControl]="titleControl"
                 required>
        </div>
        <div class="form-group">
          <label class="font-weight-bold">Promo Type *</label>
          <select class="form-control" [formControl]="typeControl" required>
            <option value="0" disabled selected>Select Promo Type</option>
            <option [value]="type.value" *ngFor="let type of typeDropDown">{{type.text}}</option>
          </select>
        </div>

        <div class="form-group">
          <label class="font-weight-bold">Discount *</label>
          <input type="number"
                 min="1"
                 autocomplete="off"
                 class="form-control"
                 placeholder="Discount"
                 [formControl]="discountControl"
                 required>
        </div>
        <div class="form-group">
          <label class="font-weight-bold">Range Type *</label>
          <select class="form-control" [formControl]="rangeControl" required>
            <option value="0" disabled selected>Select Range Type</option>
            <option [value]="type.value" *ngFor="let type of rangeDropDown">{{type.text}}</option>
          </select>
        </div>
        <div *ngIf="rangeControl.value == promoRange(1)">
          <div class="row">
            <div class="col-sm">
              <div class="form-group">
                <label class="font-weight-bold">From Date *</label>
                <div class="input-group">
                  <input class="form-control" placeholder="yyyy-mm-dd"
                         readonly
                         name="dp" [formControl]="fromDateControl" id="datepicker1"  ngbDatepicker #d="ngbDatepicker">
                  <div class="input-group-append">
                    <button class="btn btn-primary no-margins" (click)="d.toggle()" type="button">
                      <i class="fas fa fa-calendar"></i>
                    </button>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-sm">
              <div class="form-group">
                <label class="font-weight-bold">To Date *</label>
                <div class="input-group">
                  <input class="form-control" placeholder="yyyy-mm-dd"
                         readonly
                         name="dp" [formControl]="toDateControl"  ngbDatepicker #d2="ngbDatepicker">
                  <div class="input-group-append">
                    <button class="btn btn-primary no-margins" (click)="d2.toggle()" type="button">
                      <i class="fas fa fa-calendar"></i>
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div *ngIf="rangeControl.value == promoRange(2)">
          <div class="form-group">
            <label class="font-weight-bold">Days *</label>
            <br>
            <div *ngFor="let type of daysDropDown">
            <label class="cursor">
            <input
              (change)="dayChanged(type.value)"
              type="checkbox"
            />
              {{type.text}}
            </label>
            </div>

<!--            <select class="form-control" [formControl]="daysControl" multiple>-->
<!--              <option [value]="type.value" *ngFor="let type of daysDropDown">{{type.text}}</option>-->
<!--            </select>-->
          </div>
        </div>
        <div *ngIf="rangeControl.value == promoRange(4)">
          <div class="row">
            <div class="col-sm">
              <div class="form-group">
                <label class="font-weight-bold">Min *</label>
                <input type="number"
                       min="1"
                       autocomplete="off"
                       class="form-control"
                       placeholder="Min Price"
                       [formControl]="minPriceControl"
                       required>
              </div>
            </div>
            <div class="col-sm">
              <div class="form-group">
                <label class="font-weight-bold">Max *</label>
                <input type="number"
                       min="1"
                       autocomplete="off"
                       class="form-control"
                       placeholder="Max Price"
                       [formControl]="maxPriceControl"
                       required>
              </div>
            </div>
          </div>
        </div>
        <div *ngIf="rangeControl.value == promoRange(3)">
          <div class="row">
            <div class="col-sm">
              <div class="form-group">
                <label class="font-weight-bold">From Time *</label>
                <ngb-timepicker [formControl]="fromTimeControl" [spinners]="false"></ngb-timepicker>
              </div>
            </div>
            <div class="col-sm">
              <div class="form-group">
                <label class="font-weight-bold">To Date *</label>
                <ngb-timepicker [formControl]="toTimeControl"  [spinners]="false"></ngb-timepicker>
              </div>
            </div>
          </div>
        </div>
        <div class="form-group">
          <label class="font-weight-bold">Description *</label>
          <textarea type="text"
                 autocomplete="off"
                 class="form-control"
                 placeholder="Description"
                 [formControl]="descriptionControl"
                 >
          </textarea>
        </div>

      </form>
    </div>
  </div>
</div>
<div class="modal-footer padding-10">
  <div class="container">
    <div class="row">
      <div class="col-sm-12 col-md-6">
        <div class="checkbox">
          <input type="checkbox"
                 id="checkbox"
                 placeholder="Active"
                 [formControl]="isActiveControl"
          />
          <label for="checkbox">&nbsp;Active</label>
        </div>
      </div>
      <div class="col-sm-12 col-md-6">
        <button class="btn btn-primary btn-round btn-md" [disabled]="promoGroup.invalid" (click)="save()">
          <span *ngIf="isEdit">Update</span>
          <span *ngIf="!isEdit">Save</span>
        </button>
        &nbsp;
        <button class="btn btn-neutral" (click)="close()">Close</button>
      </div>
    </div>
  </div>
</div>
